<div th:replace="data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div th:attrappend="data-name=${path.fullPath},data-mandatory=${data.mandatory}? true"></div>
</div>